classification
Title: Misc/porting should be folded into the development FAQ or the devguide
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, ezio.melotti, georg.brandl, ncoghlan, pitrou, pletnes, python-dev, willingc
Priority: normal Keywords: easy, patch

Created on 2010-12-15 15:37 by pitrou, last changed 2015-08-25 04:19 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue10708-move-porting-to-devguide.patch pletnes, 2015-06-23 08:30 patch version 1
Repositories containing patches
ssh://hg@bitbucket.org/pletnes/python-devguide-unofficial#issue10708-move-porting-to-devguide
Messages (12)
msg124023 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-12-15 15:37
Title says it all.
msg124786 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-28 11:38
Same for Misc/SpecialBuilds.
msg126954 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-01-24 20:46
I've done what I plan to do to Misc and moving Porting was not part of it. I have no issue if someone else moves it, though.
msg126960 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-01-24 21:58
Well then let's reopen and unassign.
msg184117 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-13 22:53
Misc/Porting is a single FAQ, and could be added somewhere with the other FAQs in the devguide.  It might need some rephrasing since it uses the first person.

Misc/SpecialBuilds.txt looks like something that should go in the regular docs, possibly as an HOWTO.
msg245673 - (view) Author: Paul Anton Letnes (pletnes) * Date: 2015-06-23 08:30
I created a patch to the devguide with some rewording as necessary. As I am not an expert on porting Python, it would be great if someone could point out any mistakes I made. The new FAQ is at the very bottom of the file, as I didn't find any other category to place it in.

If people port Python to new platforms on a regular basis, I suggest adding a hint to discuss it on some mailing list, or that this FAQ is expanded into a more substantial piece of documentation. But then, I guess few people have an issue with Python not building on their system these days?

Branch on bitbucket:
issue10708-move-porting-to-devguide
msg247222 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2015-07-23 16:58
I reviewed the patch for this issue, and it looks ready to commit. If one of the core devs could do the commit review/merge, we can close out this issue :)

Thanks Paul for your contribution. The patch looks good. As a tip for the future, it's helpful if you mention another section in the devguide to create a link to it.

Let's get this merged and closed :D
msg247280 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-07-24 15:12
New changeset d6e10dfbeab1 by Berker Peksag in branch 'default':
Issue #10708: Add a FAQ entry about porting Python to a new platform.
https://hg.python.org/devguide/rev/d6e10dfbeab1
msg247281 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-07-24 15:16
Applied it with minor changes. Thanks for the great patch, Paul Anton Letnes.
msg247292 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2015-07-24 16:32
Thanks Berker for the commit review. 
Paul Anton Letnes, thanks for your contribution to the devguide. Nicely done.
msg247945 - (view) Author: Paul Anton Letnes (pletnes) * Date: 2015-08-03 19:06
I believe someone should also commit the following command:
hg rm Misc/porting
in the main python repository, since the contents of this file are now found in the devguide.
msg249104 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-08-25 04:19
New changeset 5b43ee3df43e by Berker Peksag in branch '3.5':
Issue #10708: Add a link to devguide in Misc/Porting.
https://hg.python.org/cpython/rev/5b43ee3df43e

New changeset 23f4d8bf4f83 by Berker Peksag in branch 'default':
Issue #10708: Add a link to devguide in Misc/Porting.
https://hg.python.org/cpython/rev/23f4d8bf4f83
History
Date User Action Args
2015-08-25 04:19:10python-devsetmessages: + msg249104
2015-08-03 19:06:39pletnessetmessages: + msg247945
2015-07-24 16:32:54willingcsetmessages: + msg247292
2015-07-24 15:16:03berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg247281

stage: commit review -> resolved
2015-07-24 15:12:52python-devsetnosy: + python-dev
messages: + msg247280
2015-07-23 21:36:17berker.peksagsetnosy: + berker.peksag
2015-07-23 16:58:44willingcsetmessages: + msg247222
stage: needs patch -> commit review
2015-06-23 08:30:05pletnessetfiles: + issue10708-move-porting-to-devguide.patch

nosy: + pletnes
messages: + msg245673

hgrepos: + hgrepo314
keywords: + patch
2015-04-15 09:09:36willingcsetkeywords: + easy
nosy: + willingc
2013-03-13 22:53:38ezio.melottisetversions: - Python 3.3
nosy: + ezio.melotti

messages: + msg184117

components: + Devguide, - Documentation
type: enhancement
2013-01-11 16:32:15brett.cannonsetnosy: - brett.cannon
2011-01-24 21:58:11pitrousetstatus: closed -> open

assignee: brett.cannon ->

title: Misc/porting should be folded in to the development FAQ -> Misc/porting should be folded into the development FAQ or the devguide
nosy: + ncoghlan
versions: - Python 3.2
messages: + msg126960
resolution: rejected -> (no value)
stage: needs patch
2011-01-24 20:46:47brett.cannonsetstatus: open -> closed

messages: + msg126954
resolution: rejected
nosy: brett.cannon, georg.brandl, pitrou
2010-12-28 11:38:39georg.brandlsetnosy: + georg.brandl
messages: + msg124786
2010-12-15 15:37:25pitroucreate